--- old/usr/src/tools/scripts/onbld_elfmod_vertype.pm	2014-01-26 22:03:17.901695758 -0500
+++ new/usr/src/tools/scripts/onbld_elfmod_vertype.pm	2014-01-26 22:03:17.914767410 -0500
@@ -103,7 +103,7 @@
 
 	# For Solaris and related products, the SUNW_ prefix is
 	# used for numbered public versions.
-	if ($Ver =~ /^(SUNW_)(\d+)\.(\d+)(\.(\d+))?/) {
+	if ($Ver =~ /^((?:SUNW|ILLUMOS)_)(\d+)\.(\d+)(\.(\d+))?/) {
 		return ('NUMBERED', 3, $1, $2, $3, $5) if defined($5);
 		return ('NUMBERED', 2, $1, $2, $3);
 	}
@@ -124,7 +124,7 @@
 	# the number is not significant for ELF versioning other than
 	# being part of a unique name.
 	return ('PRIVATE')
-	    if ($Ver =~ /^SUNWprivate(_[0-9.]+)?$/);
+	    if ($Ver =~ /^(SUNW|ILLUMOS)private(_[0-9.]+)?$/);
 
 	# Anything else is a version we don't recognize.
 	return ('UNKNOWN');
